%define anolis_release 2

Name:           python-gmpy2
Version:        2.1.5
Release:        %{anolis_release}%{?dist}
Summary:        Python interface to GMP, MPFR, and MPC

License:        LGPL-3.0-or-later
URL:            https://pypi.python.org/pypi/gmpy2
Source0:        %pypi_source gmpy2

Patch0:         python-gmpy2-mpfr421.patch

BuildRequires:  gcc
BuildRequires:  gmp-devel
BuildRequires:  libmpc-devel
BuildRequires:  make
BuildRequires:  pkgconfig(mpfr)
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist cython}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist wheel}

%global _docdir_fmt %{name}

%global common_desc %{expand:
This package contains a C-coded Python extension module that supports
multiple-precision arithmetic.  It is the successor to the original
gmpy module.  The gmpy module only supported the GMP multiple-precision
library.  Gmpy2 adds support for the MPFR (correctly rounded real
floating-point arithmetic) and MPC (correctly rounded complex
floating-point arithmetic) libraries.  It also updates the API and
naming conventions to be more consistent and support the additional
functionality.}

%description %common_desc

%package -n python3-gmpy2
Summary:        Python 3 interface to GMP, MPFR, and MPC

%description -n python3-gmpy2 %common_desc

%package -n python3-gmpy2-doc
License:        LGPL-3.0-or-later AND BSD-2-Clause AND MIT
Summary:        Documentation for gmpy2
BuildArch:      noarch
Provides:       bundled(js-jquery)
Requires:	python3-gmpy2 = %{version}-%{release}

%description -n python3-gmpy2-doc
This package contains API documentation for gmpy2.

%prep
%autosetup -n gmpy2-%{version} -p 1

# Update the sphinx theme name
sed -i "s/'default'/'classic'/" docs/conf.py

%build
# Do not pass -pthread to the compiler or linker
export LDSHARED="gcc -shared"

%pyproject_wheel
make -C docs html

%install
%pyproject_install
%pyproject_save_files gmpy2

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} %{python3} test/runtests.py

%files -n python3-gmpy2 -f %{pyproject_files}

%files -n python3-gmpy2-doc
%doc docs/_build/html/*

%changelog
* Mon Mar 25 2024 Bo Ren <rb01097748@alibaba-inc.com> - 2.1.5-2
- Rebuild with python3.11
- Add patch for MPFR 4.2.1

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 2.1.5-1
- init package from upstream
